﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class SwitchScene : MonoBehaviour {
	public string SceneName;
	public float Time;
	public bool OnClick;
	public KeyCode OnKey = KeyCode.None;

	// Use this for initialization
	void Start () {
		Invoke ("ChangeScene", Time);
	}
	
	// Update is called once per frame
	void Update () {
		if (OnClick && Input.GetMouseButton (0)) {
			ChangeScene ();
		}

		if (OnKey != KeyCode.None && Input.GetKey(OnKey)) {
			ChangeScene ();
		}
	}

	public void ChangeScene()
	{
		SceneManager.LoadScene(SceneName);
	}

	public void SelectScene(string SceneName)
	{
		SceneManager.LoadScene(SceneName);
	}
}
